DefaultViewParserConfiguration (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.DefaultViewParserConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class DefaultViewParserConfiguration

    java.lang.Object
      com.nokia.carbide.cdt.builder.DefaultViewParserConfiguration

All Implemented Interfaces:
  IViewParserConfiguration

    public class DefaultViewParserConfiguration

extends java.lang.Object
implements IViewParserConfiguration

Constructor Summary
`DefaultViewParserConfiguration(IPath projectPath)` Create a view parser configuration for the given project path.
`DefaultViewParserConfiguration(IProject project, ISymbianBuildContext buildContext, IPath bldInfPath)` Create a view parser configuration for the given project or bld.inf path, and optionally a build context.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`IIncludeFileLocator` | `getIncludeFileLocator()` Get the lookup semantics for #include files.
`IModelDocumentProvider` | `getModelDocumentProvider()` Get the provider for IDocument instances for files.
`IPath` | `getProjectLocation()` Get the full path of the project (ordinarily #getProject()#getLocation())
`ITranslationUnitProvider` | `getTranslationUnitProvider()` Get the provider of previously cached translation units, for use by #include.
`int` | `hashCode()`
`void` | `setIncludeFileLocator(IIncludeFileLocator includeFileLocator)` For test purposes.
`void` | `setProjectPath(IPath projectPath)` For testing purposes: usually the project provides the path, or bld.inf's drive is the 'project' while importing

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultViewParserConfiguration

    public DefaultViewParserConfiguration(IProject project,
                                          ISymbianBuildContext buildContext,
                                          IPath bldInfPath)

  Create a view parser configuration for the given project or bld.inf path, and optionally a build context.

  One of the project or build context may be null, but not both. This provides the root for the MMP/bld.inf models.

  The SDK is searched for #includes and may be null.

### DefaultViewParserConfiguration

    public DefaultViewParserConfiguration(IPath projectPath)

  Create a view parser configuration for the given project path.

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getIncludeFileLocator

    public IIncludeFileLocator getIncludeFileLocator()

  Description copied from interface: `IViewParserConfiguration`
  Get the lookup semantics for #include files.

  Specified by:
    `getIncludeFileLocator` in interface `IViewParserConfiguration`
  Returns:
    instance of include file locator (never null)

### setIncludeFileLocator

    public void setIncludeFileLocator(IIncludeFileLocator includeFileLocator)

  For test purposes.

  Parameters:
    `includeFileLocator` - the includeFileLocator to set

### setProjectPath

    public void setProjectPath(IPath projectPath)

  For testing purposes: usually the project provides the path, or bld.inf's drive is the 'project' while importing

### getProjectLocation

    public IPath getProjectLocation()

  Description copied from interface: `IViewParserConfiguration`
  Get the full path of the project (ordinarily #getProject()#getLocation())

  Specified by:
    `getProjectLocation` in interface `IViewParserConfiguration`
  Returns:
    full path, must not be null

### getTranslationUnitProvider

    public ITranslationUnitProvider getTranslationUnitProvider()

  Description copied from interface: `IViewParserConfiguration`
  Get the provider of previously cached translation units, for use by #include.

  Specified by:
    `getTranslationUnitProvider` in interface `IViewParserConfiguration`
  Returns:
    instance of translation unit provider (never null)

### getModelDocumentProvider

    public IModelDocumentProvider getModelDocumentProvider()

  Description copied from interface: `IViewParserConfiguration`
  Get the provider for IDocument instances for files.

  Specified by:
    `getModelDocumentProvider` in interface `IViewParserConfiguration`
  Returns:
    IModelDocumentProvider instance, must not be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD